Skip to content
GET/{organizationId}/{mandateId}/crm/contacts/{contactId}/suggested-plans

Gets suggested subscription plans for a contact

Required permissions:

  • mandate.read

  • plan.read

  • contract.read

  • department.read

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
contactIdstringrequired

Query Parameters

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/contacts/{contactId}/suggested-plans
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/{contactId}/suggested-plans' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "plans": [
    {
      "_id": "000000000000000000000001",
      "name": "string",
      "suggestionType": "toCreate",
      "reason": "string",
      "contractId": "000000000000000000000001",
      "startAt": "string",
      "endAt": "string"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}